Issue 72360

Summary: new chart: for data labels use the number format of axis when one is provided
Product: General Reporter: unlord <nathanegge>
Component: chartAssignee: kla <thomas.klarhoefer>
Status: CLOSED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P3 CC: IngridvdM, issues
Version: OOo 3.3 or olderKeywords: new_implementation
Target Milestone: ---   
Hardware: All   
OS: Windows XP   
Issue Type: TASK Latest Confirmation on: ---
Developer Difficulty: ---

Description unlord 2006-12-07 13:28:19 UTC
I just tried out the new chart2 module via this download:

http://ooo.services.openoffice.org/pub/OpenOffice.org/cws/upload/chart2/mst9_respin/

and found a regression in the way data labels are rendered.

With OOo 2.1.0_rc2 and below the data labels on bar charts (2D, Bars, Normal)
are formatted according to the Y-Axis number formatting.  For example, if you
set the Y-Axis number formatting to percent with 0 decimal places, then when you
view the Chart Data all data points are expressed as percents (e.g., entering
0.04 displays it as 4%).  Likewise, when you enable Data Labels on the Data
Series (Show value as number) the labels are displayed in the same number format
(e.g., 0.04 is displayed as 4%).

However, with the new chart2 module (using milestone9b) this is not the case. 
Setting the Y-Axis to percent with 0 decimal places still shows the Chart Data
formatted correctly, however enabling Data Labels on the Data Series (Show value
as number) still displays the labels as the raw unformatted number (e.g., 0.04
is displayed as 0.04).

This seems like a regression that should be easily fixed.
Comment 1 IngridvdM 2006-12-07 13:47:09 UTC
accepted
Comment 2 IngridvdM 2006-12-15 10:01:43 UTC
accepted
Comment 3 IngridvdM 2006-12-15 13:42:00 UTC
fixed in CWS chart2mst3.

For testing this Issue you need to set a numberfromat different from 'Source
format' at the according y axis.
Comment 4 IngridvdM 2006-12-21 14:59:04 UTC
@Thomas: Fixed in Milestone10 (respin from 15.12.).Please verify.
Comment 5 IngridvdM 2007-01-18 11:53:08 UTC
changed target to 2.3
Comment 6 kla 2007-03-01 14:28:28 UTC
verified
Comment 7 p9w.vu.31122010 2007-08-26 10:57:13 UTC
Verified fixed in m225. Closing.